Loading...
Searching...
No Matches
incr2.c File Reference
`#include <grass/datetime.h>`
Include dependency graph for incr2.c:

Go to the source code of this file.

## Functions

int | datetime_is_valid_increment (const DateTime *src, const DateTime *incr)
| Returns: datetime_check_increment(src, incr) == 0.
int | datetime_check_increment (const DateTime *src, const DateTime *incr)
| This checks if the type of 'incr' is valid for incrementing/decrementing 'src'. The type (mode/from/to) of the 'src' can be anything. The incr.mode must be RELATIVE A timezone in 'src' is allowed - it's presence is ignored. To aid in setting the 'incr' type, see datetime_get_increment_type(). Returns:

## Function Documentation

## datetime_check_increment()

int datetime_check_increment | ( | const DateTime * | src,
|  | const DateTime * | incr )

This checks if the type of 'incr' is valid for incrementing/decrementing 'src'. The type (mode/from/to) of the 'src' can be anything. The incr.mode must be RELATIVE A timezone in 'src' is allowed - it's presence is ignored. To aid in setting the 'incr' type, see datetime_get_increment_type(). Returns:

- 0 valid increment
- 1 src is not a legal DateTime, error code/msg are those set by datetime_is_valid_type()
- 2 incr is not a legal DateTime, error code/msg are those set by datetime_is_valid_type()
- -1 incr.mode not relative
- -2 incr more precise that src
- -3 illegal incr, must be YEAR-MONTH
- -4 illegal incr, must be DAY-SECOND

Parameters

  src |
  incr |

Returns
  int

Definition at line 56 of file incr2.c.

References datetime_error(), datetime_in_interval_day_second(), datetime_in_interval_year_month(), datetime_is_relative(), and datetime_is_valid_type().

Referenced by datetime_is_valid_increment().

## datetime_is_valid_increment()

int datetime_is_valid_increment | ( | const DateTime * | src,
|  | const DateTime * | incr )

Returns: datetime_check_increment(src, incr) == 0.

Parameters

  src |
  incr |

Returns
  int

Definition at line 19 of file incr2.c.

References datetime_check_increment().

Referenced by datetime_increment().